Solid Edge FrameworkSupport Type Library
SetFreeSpacePoint Method
Specifies the coordinates of the free space point.
Specifies the coordinates of the free space point.
Specifies the coordinates of the free space point.
Description
Specifies the coordinates of the terminal connect point for a leader line belonging to the referenced dimensioning object.
Syntax
Visual Basic
Public Sub SetFreeSpacePoint( _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double _
) 
Parameters
x
Specifies the coordinates of the free space point.
y
Specifies the coordinates of the free space point.
z
Specifies the coordinates of the free space point.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objDatumTargets As SolidEdgeFrameworkSupport.DatumTargets
    Dim objDatumTarget As SolidEdgeFrameworkSupport.DatumTarget
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Getting the DatumTargets object
    Set objDatumTargets = objSheet.DatumTargets
    'Create a Datum target in the active sheet
    Set objDatumTarget = objDatumTargets.Add(x1:=0.3, y1:=0.25, z1:=0.25)
    'Set the DatumReference property
    objDatumTarget.DatumReference = "A"
    'Add a vertex at the end
    Call objDatumTarget.AddVertex(x:=0.35, y:=0.3, z:=0)
    'Set the Free space point
    Call objDatumTarget.SetFreeSpacePoint(x:=0.25, y:=0.3, z:=0)

    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objDatumTargets = Nothing
    Set objDatumTarget = Nothing
End Sub
See Also

DatumTarget Object  | DatumTarget Members